/v1/web-sessions
POST
/v1/web-sessions
const url = 'https://service.testing.nairon.cloud/v1/web-sessions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"webAgentId":"example","mode":"WEB_FULL"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://service.testing.nairon.cloud/v1/web-sessions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "webAgentId": "example", "mode": "WEB_FULL" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
webAgentId
required
string format: cuid
mode
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
roomUrl
required
string
token
required
string
expiresAt
required
string
Examplegenerated
{ "roomUrl": "example", "token": "example", "expiresAt": "example"}